#!/bin/bash

baseurl="http://localhost:8080/titamaApi/v1"
header="Content-Type: application/json"
new_course_data='{"title": "FIN Sitzung", "day": "Wed", "time": "18:00"}'

printf "Testing GET %s/courses...\n" "$baseurl"
curl "$baseurl/courses"

printf "\n\nTesting GET %s/course/0...\n" "$baseurl"
curl "$baseurl/course/0"

printf "\n\nTesting GET %s/course/1...\n" "$baseurl"
curl "$baseurl/course/1"

printf "\n\nTesting POST %s/course...\n" "$baseurl"
curl -d "$new_course_data" -H "$header" $baseurl/course

printf "\n\nTesting GET %s/courses...\n" "$baseurl"
curl "$baseurl/courses"

printf "\n\nTesting GET %s/course/2...\n" "$baseurl"
curl "$baseurl/course/2"

printf "\n\nTesting DELETE %s/course/2...\n" "$baseurl"
curl -X DELETE "$baseurl/course/1"
